/*
 Problema: dado um conjunto com n numeros reais, 
 calcular e imprimir a media aritmetica dos valores
 positivos, destes numeros.

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n"; 
  3 - repeticao para: 
       3.1 - ler um numero do conjunto, de cada vez;
       3.2 - selecionar os valores positivos
              3.3.1 - somar os valores lidos, se positivo;
              3.3.2 - contar os valores positivos;
  4 - calcular a media aritmetica dos valores positivos;
  5 - imprimir o valor obtido para media;

 descricao das variaveis
  n - tamanho do conjunto (numero de repeticoes)
  np  - contador do numero de valores positivos no conjunto
  i - contador de repeticao (indice - controlador da repeticao)
  x - guarda o numero lido, em cada passo (representa 1 numero) 
  sp - guarda a soma dos numeros positivos, digitados(soma parcial)
  map - representa a media aritmetica dos valores positivos

*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */
#include <conio.h>  /* para usar: getch */

int main ()
{
  int n; /* tamanho do conjunto = numero de repeticao */
  int np; /* contador de numeros positivos */  
  int i; /* contador de repeticao */
  float x; /* um numero do conjunto */
  float sp; /* soma dos numeros positivos */
  float map; /* media aritmetica dos numeros positivos */

  printf ("\nDigite o valor de n: ");
  scanf ("%d", &n);
  sp = 0; //zerar a soma - define o valor inicial da soma
  np = 0; //zerar o contador de numeros positivos
  printf ("\nDigite os elementos do conjunto para somar os numeros positivos\n");
  i = 1; //ler o primeiro elemento do conjumto
  while (i <= n) 
  {
    printf ("digite um valor para x: ");
	scanf ("%f", &x); //leitura de um numero(voce digita e o programa l)
	if (x>0)  //selecionar os numeros positivos
	{
	  sp = sp + x; //somar os numeros positivos
	  np = np + 1; //contar os numeros positivos
    }
	i = i + 1; //contar, para ler o proximo numero e fazer a soma 
  }
  map = sp/np;
  printf ("media aritmetica dos numeros positivos = %f", map);

  printf("\n\n tecle qualquer tecla para finalizar a execucao do programa");
  getch(); //pausa na janela do usuario para voce ver os resultados dos printf  
}
