/*
 Problema: dado as notas finais e as faltas, dos n alunos de 
 informatica, calcular e imprimir a nota final media dos alunos aprovados.

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o tamaho da turma (valor de "n"); 
  3 - repeticao para: 
       3.1 - ler a nota final de um aluno, de cada vez;
       3.2 - ler as faltas desse aluno;
       3.3 - selecionar os alunos aprovados, e:
              3.3.1 - somar  as notas finais;
              3.3.2 - contar os alunos aprovados;
  4 - calcular a nota final media dos alunos aprovados;
  5 - imprimir o valor obtido no passo anterior.

 descricao das variaveis
  n - tamanho da turma (numero de alunos - numero de repeticoes)
  nap  - contador do numero de alunos aprovados
  i - contador de repeticao (indice - controlador da repeticao)
  nf - guarda o numero de faltas de um aluno
  x - guarda o valor lido(nota), em cada passo (representa uma nota final) 
  sap - guarda a soma das notas finais, dos alunos aprovados(soma parcial)
  map - representa a media aritmetica das notas finais, dos alunos aprovados
*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */
#include <conio.h>  /* para usar: getch */

int main ()
{
  int n; /* tamanho da turma = numero de repeticao */
  int nap; /* contador do numero de alunos aprovados */  
  int i; /* contador de repeticao */
  int nf; /* numero de faltas de um aluno */
  float x; /* uma nota final */
  float sap; /* soma das notas finais, dos alunos aprovados */
  float map; /* media aritmetica das notas finais, dos alunos aprovados */
  
  printf ("\nDigite o tamanho da turma (n): ");
  scanf ("%d", &n);
  sap = 0; //define o valor inicial da soma das notas finais, dos alunos aprovados 
  nap = 0; //define o valor inicial do contador dos alunos aprovados
  printf ("\nDigite as notas finais e faltas, dos alunos:\n");
  i = 1; //ler a nota final e faltas do primeiro aluno
  while (i <= n) 
  {
	printf ("\n  Nota-aluno %d: ",i);
	scanf ("%f", &x); //leitura da nota final do proximo (i-esimo) aluno
	printf ("Faltas-aluno %d: ",i);
	scanf ("%d", &nf); //leitura do numero de faltas do proximo (i-esimo) aluno

	if ((x>=60) && (nf<=16)) //selecionar os alunos aprovados 
	{
	  sap = sap + x; //somar as notas finais, dos alunos aprovados
	  nap = nap + 1; //contar os alunos aprovados
    }//fim-if
      
    i = i + 1; //incrementa contador, para processar os dados do proximo aluno
  }//fim-while
  map = sap/nap;
  printf ("\nA media aritmetica das notas finais, dos alunos aprovados = %f", map);

  printf("\n\n tecle qualquer tecla para finalizar a execucao do programa");
  getch(); //pausa na janela do usuario para voce ver os resultados dos printf  
}
