/*
 Problema: dado um numero inteiro n>0, gerar e imprimir a 
 seguencia dos n-primeiros numeros naturais impares. Isto eh dado 
 um numero inteiro n>0, obter a sequencia = 1, 3, 5, ..., 2n-1

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n"; 
  3 - repeticao para: 
       3.1 - gerar um elemento da sequencia, em cada vez;
       3.2 - imprimir o valor gerado;

 descricao das variaveis
  n - numero de elementos a serem gerados(numero de repeticoes)
  i - contador de repeticao, usado para obter a sequencia de numeros
  x - guarda o numero gerado, em cada passo

*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */
#include <conio.h>  /* para usar: getch */

int main ()
{
  int n; /* numero de repeticao */
  int i; /* contador de repeticao */
  int x; /* numero gerado, elemento da sequencia  */
 
  printf ("\nDigite o valor de n: ");
  scanf ("%d", &n);
  printf ("\nSequencia gerada :");
  i = 1; //gerar o primeiro elemento
  while (i <= n) 
  {
	x = (2*i - 1); //obtem o i-esimo elemento
	printf ("\n x =  %d", x); //escreve a mensagem: x = 
	                          //seguida do valor de x(numero inteiro)
	i = i + 1; //contar, e gerar o proximo elemento
  }
   
  printf("\n\n tecle qualquer tecla para finalizar a execucao do programa");
  getch(); //pausa na janela do usuario para voce ver os resultados dos printf  
}
