/*
 Problema: Dado um vetor a, obter e imprimir um vetor b, ambos com 
 n numeros reais, sabendo-se que cada elemento do vetor b eh dado 
 pelo valor absoluto do elemento da mesma posicao do vetor a.
 Isto eh, b(i)=a(i) se a(i)>=0; b(i)= -a(i) se a(i)<0; i=1,2,..,n.

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n"; 
  3 - permitir que voc digite os elementos
      do vetor "a", um de cada vez;
  4 - calcular o vetor b;      
  5 - imprimir o vetor b, obtido;

 descricao das variaveis
  n - tamanho dos vetores - quantidade de elementos 
      em cada vetor;
  i - contador de repetio, ndice usado para  
      acessar os elementos dos vetores;
  a - representa o primeiro vetor;
  b - representa o segundo vetor;
*/

#include <stdio.h> //arquivo de inclusao para entrada e saida (printf, scanf)
#include <conio.h> //para usar: getch

int main()
{
   /* define o tipo de dados */
   int n, i;
   float a[10], b[10];

   /* entrada de dados */
   printf("\nEntre com o tamanho dos vetores, no maximo 10 (n): ");
   scanf("%d",&n);

   printf("\nEntre com os elementos do vetor a:\n");
   for (i = 0; i < n; i = i + 1) {
	 printf("a[%d] : ", i);
	 scanf("%f", &a[i]);
   }//fim for
   
   /* cacular vetor b */
   for (i = 0; i < n; i = i + 1) {
	 if (a[i]>=0) {
	   b[i] = a[i];
     }else {
       b[i] = -a[i];
     }/* fim if */
   }//fim for

   /* saida de dados */
   printf("\n\n\nvetor b ");
   for (i = 0; i < n; i = i + 1) {
	 printf("\nb[%d] = %f", i, b[i]);
   }//fim for

   printf("\n\n\n\nTeclar  <esc>  para finalizar a execucao do programa");
   getch ();
}
