/* EX20_1
 Problema: Faa um programa que leia para cada um dos n alunos de informatica,
 os seguintes dados: o numero de matricula, o nome, as notas obtidas pelo aluno
 nas quatro provas realizadas, o numero de faltas. Depois de fazer a leitura dos
 dados de todos os alunos, o programa deve exibir um relatorio com as seguintes
 informaes: numero de matricula, nome, a nota media, e a nota final (soma das
 notas) do aluno; a prova em que o aluno obteve a menor nota, e a situao do
 aluno que pode ser "aprovado" se nota final maior do que 59 e numero de faltas
 menor do que 18 ou "reprovado" caso contrario. O programa tambem deve mostrar
 o numero de alunos aprovados e o numero de alunos reprovados.

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o tamaho da turma (valor de "n");
  3 - repeticao para:
       3.1 - ler o numero de matricula de um aluno, de cada vez;
       3.2 - ler o nome desse aluno;
       3.3 - ler as notas obtidas pelo aluno nas quatro provas realizadas;
       3.4 - ler o numero de faltas desse aluno;
  4 - repeticao para:
       4.1 - somar as notas obtidas pelo aluno nas quatro provas realizadas (obter a nota final);
       4.2 - selecionar a prova em que o aluno obteve a menor nota;
       4.3 - obter a nota media do aluno nas quatro provas realizadas;
       4.4 - obter a situao de aprovao do aluno;
       4.5 - contar os alunos aprovados;
       4.6 - exibir o relatorio com as seguintes informacoes: numero de matricula, nome, a nota
             media, a nota final, a prova em que o aluno obteve a menor nota, e a situao do aluno;
   5 - mostrar o numero de alunos aprovados e o numero de alunos reprovados.

 descricao das variaveis
  n - tamanho da turma (numero de alunos - numero de repeticoes)
  i, j - contador de repeticao (indice - controlador da repeticao)
  vetMatric - vetor com o numero de matricula dos alunos
  vetFaltas - vetor com o numero de faltas dos alunos
  contAprovados - contador de alunos aprovados
  provaMenorNota - prova em que o aluno obteve a menor nota
  
  matNotas - matriz com as notas obtidas pelos alunos nas quatro provas realizadas
  vetNotaFinal - vetor nota final do aluno;
  notaMedia - a nota media do aluno nas quatro provas realizadas (media aritmetica)
  menorNota - menor nota nas quatro provas realizadas

  vetNomes - vetor (matriz) com  os nomes dos alunos
  vetSituacao - vetor com a situacao do aluno (aprovado/reprovado)
*/

#include <stdio.h>  /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */
#include <conio.h>  /* para usar: getch e clrscr*/
#include <string.h> /* para usar: strcpy*/

#define NMAXALUNOS 30 /* tamanho maximo da turma */
#define TMAXNOMES 20    /* tamanho maximo dos nomes dos alunos */

int main ()
{
  int n; /* tamanho efetivo da turma na execucao do programa - numero de repeticoes*/
  int i,j; /* contador de repeticao */
  int vetMatric[NMAXALUNOS];
  int vetFaltas[NMAXALUNOS];
  int contAprovados;
  int provaMenorNota;

  float matNotas[NMAXALUNOS][4]; /* nota final de um aluno */
  float vetNotaFinal[NMAXALUNOS];
  float notaMedia; /* media aritmetica das notas finais, dos alunos */
  float menorNota;

  char vetNomes[NMAXALUNOS][TMAXNOMES];
  char vetSituacao[NMAXALUNOS][TMAXNOMES];

  //clrscr(); // limpa a janela do usuario

  //define valores iniciais
  contAprovados = 0;

  printf("\nDigite o tamanho da turma (n): ");
  scanf("%d", &n);

  for(i=0; i<n; i++)//for1
  {
	  printf("\nDados do alunos %d:",i+1);
	  printf("\n\tMatricula: ");
	  scanf("%d",&vetMatric[i]);
	  printf("\tNome: ");
	  //flushall();
	  //fflush(stdin);
	  getchar();
	  gets(vetNomes[i]);
	  for(j=0; j<4; j++)//for2
	  {
	     printf("\tProva %d: ",j+1);
	     scanf("%f",&matNotas[i][j]);
    }//for2
    printf("\tFaltas : ");
    scanf("%d", &vetFaltas[i]);
  }//for1
  
  printf("\n\nMatricula Nome\t\t\tMedia NotaFinal ProvaMenorNota\tSituacao");
  for(i=0; i<n; i++)//for3
  {
	  menorNota = matNotas[i][0];
	  provaMenorNota = 1;
	  vetNotaFinal[i] = 0;
	  for(j=0; j<4; j++)//for4
	  {
	    vetNotaFinal[i] = vetNotaFinal[i] + matNotas[i][j];
	    if(matNotas[i][j] < menorNota)
	    {
	  	    menorNota = matNotas[i][j];
	  	    provaMenorNota = j+1;
	    }
	  }//for4
	  notaMedia = vetNotaFinal[i]/4;
	  
	  if(vetNotaFinal[i] >59 && vetFaltas[i] <18)
	  {
	    contAprovados++;
	    strcpy(vetSituacao[i],"aprovado");
	  }
	  else
	  {
	    strcpy(vetSituacao[i],"reprovado");
	  }
	  
	  printf("\n%-9d %-20s %6.2f\t%4.2f\t\t%d\t%s",vetMatric[i],vetNomes[i],
			    notaMedia,vetNotaFinal[i],provaMenorNota,vetSituacao[i]);
  }//for3
  printf("\n\nNumero de Aprovados: %d",contAprovados);
  printf("\n\nNumero de Reprovados: %d",n-contAprovados);
 
  printf("\n\n tecle qualquer tecla para finalizar a execucao do programa");
  getch(); //pausa na janela do usuario para voce ver os resultados dos printf  
  return 0;
}
