/*
 Problema: gerar e imprimir x, y e z; tal que y = sen(x), 
 z = cosseno(x), para x= 0, 0.25, 0.5, ..., 10

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - repetir 10 vezes: 
       3.1 - gerar x, y e z (elementos das sequencias), em cada vez;
       3.2 - imprimir os valores gerados de x, y e z;

 descricao das variaveis
  x - contador de repeticao, usado para obter a sequencia de numeros
  y - guarda o sen(x), um numero gerado em cada passo
  z - guarda o cossen(x), um numero obtido em cada passo

*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */
#include <conio.h>  /* para usar: getch */
#include <math.h>  /* para usar: sin e cos */

int main ()
{
  float x; /* contador de repeticao */
  float y; /* sen(x), elemento da sequencia  */
  float z; /* cossen(x), elemento da sequencia  */
  
  printf ("Exemplo - estrutura de repeticao - while");
  printf ("\nSequencia gerada :");
  x = 0; //gerar o primeiro elemento (x, y, z)
  while (x <= 10)
  {
	y = sin(x); //obtem valor de y
	z = cos(x); //obtem valor de z
	printf ("\n x=  %f --> y= %f --> z= %f", x, y, z); //imprime os valores de x, y e z
	x = x + 0.25; //contar, e obter os proximos elementos
  }

  printf("\n\n tecle qualquer tecla para finalizar a execucao do programa");
  getch(); //pausa na janela do usuario para voce ver os resultados dos printf  
}
