/*
 Problema: dado as notas finais dos n alunos de informatica 
 (um vetor com n numeros reais), determinar e imprimir a maior
 nota final da turma (o maior elemento deste vetor).

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n"; 
  3 - permitir que voce digite as notas finais dos alunos,
      (os elementos do vetor);
  4 - selecionar a maior nota final(o maior dos elementos do vetor);     
  5 - imprimir o valor obtido, no passo anterior;

 descricao das variaveis
  n - tamanho da turma (numero de alunos - numero de repeticoes);
  i - contador de repeticao (indice - controlador da repeticao), 
      indice usado para acessar os elementos do vetor;
  x - representa o vetor com as notas finais dos alunos;
  y - guarda a maior nota final, dos alunos
*/

#include <stdio.h> //arquivo de inclusao para entrada e saida (printf, scanf)
#include <conio.h> //para usar: getch

int main()
{
   /* define o tipo de dados */
   int n, i;
   float x[10], y;

   /* entrada de dados */
   printf ("\nDigite o tamanho da turma no maximo 10(n): ");
   scanf("%d",&n);

   printf("\nDigite as notas finais dos alunos:\n");
   for (i = 0; i < n; i = i + 1) {
	 printf("x[%d] : ", i);
	 scanf("%f", &x[i]);
   }
   
   /* selecionar a maior nota final (dos elementos do vetor x) */
   y = 0; //define o valor inicial da maior nota final, deve ser 
          //menor que qualquer valor de "x(i)"
   for (i = 0; i < n; i = i + 1) {
      if (x[i]>y) //selecionar a maior nota final
      { 
         y = x[i]; //atualiza o valor da maior nota final (y)
      }//fim se
   }//fim for

   printf ("\nA maior nota final da turma = %f", y);

   printf("\n\n teclar qualquer tecla para finalizar a execucao do programa");
   getch(); //pausa na janela do usuario para voce ver os resultados dos printf  
}
