/*
 Problema: dado as notas finais e as faltas, dos n alunos de 
 informatica, calcular e imprimir a nota final media dos alunos 
 aprovados.
 Obs. usar vetor

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados(variaveis : n,i,x,nf,sap,nap,map)
  2 - permitir que voce digite o valor do numero "n"; 
  3 - permitir que voce digite as notas finais e as faltas dos 
      alunos (os elementos dos vetores x e nf);
  4 - selecionar os alunos aprovados, e:
              4.4.1 - somar  as notas finais dos alunos aprovados;
              4.4.2 - contar os alunos aprovados;
  5 - calcular a nota final media dos alunos aprovados;
  6 - imprimir o valor obtido, no passo anterior.
 
 descricao das variaveis:
  n - tamanho da turma (numero de alunos - numero de repeticoes);
  i - contador de repeticao (indice - controlador da repeticao),
      indice usado para acessar os elementos dos vetores;
  nap  - contador do numero de alunos aprovados;  
  nf - representa o vetor com o numero de faltas dos alunos;
  x - representa o vetor com as notas finais dos alunos;  
  sap - guarda a soma das notas finais, dos alunos aprovados;
  map - representa a media aritmetica das notas finais, 
        dos alunos aprovados.
*/

#include <stdio.h> //arquivo de inclusao para entrada e saida (printf, scanf)
#include <conio.h> //para usar: getch

int main()
{
  /* define os tipos de dados */
  int n; /* tamanho da turma = numero de repeticao */
  int i; /* contador de repeticao */
  int nap; /* contador do numero de alunos aprovados */  
  int nf[100]; /* numero de faltas */
  float x[100]; /* nota final */
  float sap; /* soma das notas finais, dos alunos aprovados */
  float map; /* media aritmetica das notas finais, dos alunos aprovados */
  
  /* entrada de dados */
  printf ("\nDigite o tamanho da turma no maximo 100(n): ");
  scanf ("%d", &n);

  printf ("\nDigite as notas finais e faltas, dos alunos:\n");
  for (i = 0; i < n; i = i + 1) {
    printf ("Nota-aluno %d: ",i);
	scanf ("%f", &x[i]); //leitura da nota final do i-esimo aluno
	printf ("Faltas-aluno %d: ",i);
	scanf ("%d", &nf[i]); //leitura do numero de faltas do i-esimo aluno
  }  

  /* calcular e imprimir a nota final media dos alunos aprovados */
  sap = 0; //define o valor inicial da soma das notas finais, dos alunos aprovados 
  nap = 0; //define o valor inicial do contador dos alunos aprovados
  for (i = 0; i < n; i = i + 1) {
    if ((x[i]>=60) && (nf[i]<=16)) //selecionar os alunos aprovados 
    { 
      sap = sap + x[i]; //somar as notas finais, dos alunos aprovados
      nap = nap + 1; //contar os alunos aprovados
    }//fim if
  }//fim for 
  map = sap/nap; //calcular a media
  printf ("\nA media aritmetica das notas finais, dos alunos aprovados = %f", map);  

  printf("\n\n teclar qualquer tecla para finalizar a execucao do programa");
  getch(); //pausa na janela do usuario para voce ver os resultados dos printf  
}
